## postgresql-debversion 1.0.8

=== test/Makefile ===
EXTENSION = debversion
REGRESS = $(EXTENSION)

PG_CONFIG := pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

=== debian/changelog ===
postgresql-debversion (1.0.8-2~bpo8+2) jessie-backports; urgency=medium

  * Fix wrong maintainer: due to stupid sbuild settings.

 -- Don Armstrong <don@debian.org>  Thu, 02 Mar 2017 12:46:28 -0600

postgresql-debversion (1.0.8-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Depend on newer versions of postgresql-common from jessie-backports to
    build both 9.6 and 9.4 packages.

 -- Don Armstrong <don@debian.org>  Mon, 27 Feb 2017 14:55:44 -0600

postgresql-debversion (1.0.8-2) unstable; urgency=medium

  * Upload with 9.6 support.

 -- Christoph Berg <myon@debian.org>  Sat, 24 Sep 2016 22:06:37 +0200

postgresql-debversion (1.0.8-1) unstable; urgency=medium

  [ Roger Leigh ]
  * New upstream release.
  * Extension support is now required, meaning PostgreSQL 9.1
    and later.

  [ Christoph Berg ]
  * Use 3.0 (quilt) format.
  * debian/rules: Install NEWS as upstream changelog.
  * Invoke regression tests from debian/tests/installcheck.
  * Move Vcs headers to https.
  * Add myself to Uploaders.

 -- Christoph Berg <myon@debian.org>  Wed, 03 Feb 2016 22:28:51 +0100

postgresql-debversion (1.0.7-4) unstable; urgency=low

  * debian/rules, debian/control.in:
    - Build for multiple PostgreSQL versions using
      postgresql-server-dev-all (Closes: #725795).  Thanks to
      Christoph Berg for this patch.
    - Upgrade to Standards-Version 3.9.3 (no changes).
    - Use dh-autoreconf (Closes: #732925).  Thanks to Logan Rosen
      for this patch.
  * Drop support for postgresql 9.3, replaced by support for 9.4
    (Closes: #757335).

 -- Roger Leigh <rleigh@debian.org>  Sat, 09 Aug 2014 21:34:41 +0100

postgresql-debversion (1.0.7-3) unstable; urgency=low

  * Drop support for postgresql 9.1 and 9.2, now 9.3 is in unstable.
  * debian/control:
    - Drop Build-Depends on postgresql-server-dev-9.1 and
      postgresql-server-dev-9.2.
    - Drop postgresql-9.1-debversion and postgresql-9.2-debversion
      packages.
  * debian/rules:
    - Don't build 9.1 and 9.2 versions of the library.

 -- Roger Leigh <rleigh@debian.org>  Mon, 09 Sep 2013 19:21:00 +0100

postgresql-debversion (1.0.7-2) experimental; urgency=low

  * Add support for postgresql 9.3.
  * debian/control:
    - Build-Depend on postgresql-server-dev-9.3.
    - Upgrade to Standards-Version 3.9.3 (no changes).
    - Add postgresql-9.3-debversion.
  * debian/rules:
    - Build 9.1, 9.2 and 9.3 versions of the library.

 -- Roger Leigh <rleigh@debian.org>  Mon, 20 May 2013 00:07:42 +0100

postgresql-debversion (1.0.7-1) experimental; urgency=low

  * New upstream release.
  * Add support for postgresql 9.2.
  * debian/control:
    - Build-Depend on debhelper v9 and postgresql-server-dev-9.2.
    - Upgrade to Standards-Version 3.9.3 (no changes).
    - Add postgresql-9.2-debversion.
  * debian/compat: Use debhelper v9.
  * debian/rules:
    - Build 9.1 and 9.2 versions of the library.

 -- Roger Leigh <rleigh@debian.org>  Wed, 29 Aug 2012 22:14:08 +0100

postgresql-debversion (1.0.6-1) unstable; urgency=low

  * New upstream release.
  * Add support for postgresql 9.1.
  * Enable extension support for postgresql-9.1
  * debian/control:
    - Build-Depend on postgresql-server-dev-9.1.
    - Remove Build-Depends on postgresql-server-dev-8.4 and
      postgresql-server-dev-9.0.
    - Add postgresql-9.1-debversion.
    - Upgrade to Standards-Version 3.9.2.
    - Require debhelper >> 8.9.6 and autotools-dev for dh v9
      functionality.
  * debian/rules:
    - Build 9.0 and 9.1 versions of the library.  8.4 and 9.0 are no
      longer supported.
    - Build with debhelper's dh with compat level 9.

 -- Roger Leigh <rleigh@debian.org>  Fri, 26 Aug 2011 22:23:35 +0100

postgresql-debversion (1.0.4-1) unstable; urgency=low

  * New upstream release.
  * configure check for libapt_pkg uses LIBS rather than LDFLAGS for
    specifying libraries to link.  Thanks to Michael Vogt for this
    patch.

 -- Roger Leigh <rleigh@debian.org>  Wed, 17 Nov 2010 20:35:24 +0000

postgresql-debversion (1.0.3-2) unstable; urgency=low

  * Add support for postgresql 9.0.
  * debian/control:
    - Build-Depend on postgresql-server-dev-9.0.
    - Add postgresql-9.0-debversion.
    - Upgrade to Standards-Version 3.9.1.
    - Add ${misc:Depends} to Depends.
  * debian/rules: Build both 8.4 and 9.0 versions of the library.

 -- Roger Leigh <rleigh@debian.org>  Mon, 20 Sep 2010 22:48:45 +0100

postgresql-debversion (1.0.3-1) unstable; urgency=low

  * New upstream release.
  * Remove support for postgresql-8.3 (Closes: #559589).
  * Upgrade to Standards-Version 3.8.3.

 -- Roger Leigh <rleigh@debian.org>  Sun, 13 Dec 2009 18:35:19 +0000

postgresql-debversion (1.0.2-1) unstable; urgency=low

  * Switch to postgresql-8.4.
  * debian/control:
    - Build-Depend on postgresql-server-dev-8.4.
    - Add postgresql-8.4-debversion.
    - Upgrade to Standards-Version 3.8.2.
  * debian/rules: Build both 8.3 and 8.4 versions of the library.

 -- Roger Leigh <rleigh@debian.org>  Mon, 06 Jul 2009 00:26:54 +0100

postgresql-debversion (1.0.1-2) unstable; urgency=low

  * postgresql-8.3-debversion.docs: Include README.

 -- Roger Leigh <rleigh@debian.org>  Sun, 08 Mar 2009 18:46:16 +0000

postgresql-debversion (1.0.1-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright:
    - Fix incomplete author description.
    - Depend on postgresql-8.3.
  * debian/control: Update description, indent bulleted list
  * debian/rules: Clean debian/autoconfigure-stamp.
  * postgresql-8.3-debversion.docs: New file.  Package NEWS.

 -- Roger Leigh <rleigh@debian.org>  Sat, 07 Mar 2009 15:06:13 +0000

postgresql-debversion (1.0.0-1) unstable; urgency=low

  * Initial release.

 -- Roger Leigh <rleigh@debian.org>  Wed, 04 Mar 2009 22:41:08 +0000

=== debian/control ===
Source: postgresql-debversion
Section: database
Priority: extra
Maintainer: Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>, Roger Leigh <rleigh@debian.org>, Francesco Paolo Lovergine <frankie@debian.org>, Christoph Berg <myon@debian.org>, Don Armstrong <don@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf, libapt-pkg-dev, postgresql-server-dev-all (>= 179~), postgresql-client-common (>= 179~), postgresql-common (>= 179~)
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/buildd-tools/postgresql-debversion.git
Vcs-Git: https://anonscm.debian.org/git/buildd-tools/postgresql-debversion.git

Package: postgresql-9.4-debversion
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-9.4
Description: Debian version number type for PostgreSQL
 Debian version numbers, used to version Debian binary and source
 packages, have a defined format, including specifications for how
 versions should be compared in order to sort them.  This package
 implements a "debversion" type to represent Debian version numbers
 within the PostgreSQL database.  This also includes operators for
 version comparison and index operator classes for creating indexes on
 the debversion type.
 .
 Version comparison uses the algorithm used by the Debian package
 manager, dpkg, using the implementation from libapt-pkg.  This means
 that columns in tables using the debversion type may be sorted and
 compared correctly using the same logic as "dpkg --compare-versions".
 It is also possible to create indexes on these columns.
 .
 postgresql-debversion implements the following features:
 .
  * The "debversion" type (internally derived from the "text" type)
  * A full set of operators for version comparison (< <= = <> >= >)
    including commutator and negator optimisation hints
  * Operator classes for btree and hash indexes
  * The aggregate functions min() and max()

Package: postgresql-9.6-debversion
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-9.6
Description: Debian version number type for PostgreSQL
 Debian version numbers, used to version Debian binary and source
 packages, have a defined format, including specifications for how
 versions should be compared in order to sort them.  This package
 implements a "debversion" type to represent Debian version numbers
 within the PostgreSQL database.  This also includes operators for
 version comparison and index operator classes for creating indexes on
 the debversion type.
 .
 Version comparison uses the algorithm used by the Debian package
 manager, dpkg, using the implementation from libapt-pkg.  This means
 that columns in tables using the debversion type may be sorted and
 compared correctly using the same logic as "dpkg --compare-versions".
 It is also possible to create indexes on these columns.
 .
 postgresql-debversion implements the following features:
 .
  * The "debversion" type (internally derived from the "text" type)
  * A full set of operators for version comparison (< <= = <> >= >)
    including commutator and negator optimisation hints
  * Operator classes for btree and hash indexes
  * The aggregate functions min() and max()

## postgresql-debversion 1.1

=== Makefile ===
MODULES = debversion
EXTENSION = debversion
DATA = \
	debversion--unpackaged--1.0.5.sql	\
	debversion--1.0.5--1.0.6.sql		\
	debversion--1.0.6--1.0.7.sql		\
	debversion--1.0.7--1.0.8.sql		\
	debversion--1.0.8--1.1.sql		\
	debversion--1.1.sql
REGRESS = debversion

PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

debversion.so: debversion.o
	$(CXX) $(LDFLAGS) -shared -o $@ $^ -lapt-pkg

debversion.o: debversion.cc
	$(COMPILE.cc) $(CFLAGS_SL) $(OUTPUT_OPTION) $<

## postgresql-debversion 1.1.1~20220627.1654-5~1.gitae0d00c.pgdg18.04+1

=== debian/changelog ===
postgresql-debversion (1.1.1~20220627.1654-5~1.gitae0d00c.pgdg18.04+1) bionic-pgdg; urgency=medium

  * Rebuild for bionic-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 11.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 20 Oct 2021 14:15:20 +0200

postgresql-debversion (1.1.1-5) unstable; urgency=medium

  * Upload for PostgreSQL 14.

 -- Christoph Berg <myon@debian.org>  Wed, 20 Oct 2021 14:15:20 +0200

postgresql-debversion (1.1.1-4) unstable; urgency=low

  [ Debian Janitor ]
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Name, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Christoph Berg ]
  * Upload for PostgreSQL 13.
  * Use dh --with pgxs.
  * R³: no.
  * DH 13.
  * debian/tests: Use 'make' instead of postgresql-server-dev-all.

 -- Christoph Berg <myon@debian.org>  Mon, 19 Oct 2020 15:07:50 +0200

postgresql-debversion (1.1.1-3) unstable; urgency=medium

  * Upload for PostgreSQL 12.
  * Add debian/gitlab-ci.yml.
  * Use source format 3.0 (quilt) again.

 -- Christoph Berg <myon@debian.org>  Wed, 30 Oct 2019 13:52:35 +0100

postgresql-debversion (1.1.1-2) unstable; urgency=medium

  * Upload for PostgreSQL 11.
  * Add watch file.
  * Move maintainer address to team+postgresql@tracker.debian.org.

 -- Christoph Berg <myon@debian.org>  Sat, 13 Oct 2018 11:35:01 +0200

postgresql-debversion (1.1.1-1) unstable; urgency=medium

  * Support PostgreSQL 11.
  * Move packaging repository to salsa.debian.org

 -- Christoph Berg <myon@debian.org>  Wed, 13 Jun 2018 19:21:53 +0200

postgresql-debversion (1.1-1) unstable; urgency=medium

  * Switch to plain pgxs buildsystem.
  * Add selectivity estimators to comparison operators.
  * Move packaging repository to pkg-postgresql.

 -- Christoph Berg <christoph.berg@credativ.de>  Fri, 17 Nov 2017 15:36:01 +0100

postgresql-debversion (1.0.8-3) unstable; urgency=medium

  * Upload with PostgreSQL 10 support. Closes: #876506.
  * Set source format to 1.0 to ease snapshot builds.
  * Set Debian PostgreSQL team as Maintainer.
  * Remove Roger and Francesco from Uploaders, thanks for your work!
    Closes: #869349.

 -- Christoph Berg <myon@debian.org>  Wed, 27 Sep 2017 21:12:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: postgresql-debversion
 Section: database
-Priority: extra
-Maintainer: Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>
-Uploaders: Michael Banck <mbanck@debian.org>, Roger Leigh <rleigh@debian.org>, Francesco Paolo Lovergine <frankie@debian.org>, Christoph Berg <myon@debian.org>, Don Armstrong <don@debian.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf, libapt-pkg-dev, postgresql-server-dev-all (>= 179~), postgresql-client-common (>= 179~), postgresql-common (>= 179~)
-Standards-Version: 3.9.7
-Vcs-Browser: https://anonscm.debian.org/cgit/buildd-tools/postgresql-debversion.git
-Vcs-Git: https://anonscm.debian.org/git/buildd-tools/postgresql-debversion.git
+Priority: optional
+Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
+Uploaders: Michael Banck <mbanck@debian.org>, Christoph Berg <myon@debian.org>
+Build-Depends: debhelper (>= 11), libapt-pkg-dev, postgresql-all (>= 217~)
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-debversion
+Vcs-Git: https://salsa.debian.org/postgresql/postgresql-debversion.git
 
-Package: postgresql-9.4-debversion
+Package: postgresql-10-debversion
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-9.4
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-10
 Description: Debian version number type for PostgreSQL
  Debian version numbers, used to version Debian binary and source
  packages, have a defined format, including specifications for how
@@ -34,9 +35,9 @@
   * Operator classes for btree and hash indexes
   * The aggregate functions min() and max()
 
-Package: postgresql-9.6-debversion
+Package: postgresql-11-debversion
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-9.6
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-11
 Description: Debian version number type for PostgreSQL
  Debian version numbers, used to version Debian binary and source
  packages, have a defined format, including specifications for how
@@ -60,3 +61,80 @@
   * Operator classes for btree and hash indexes
   * The aggregate functions min() and max()
 
+Package: postgresql-12-debversion
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-12
+Description: Debian version number type for PostgreSQL
+ Debian version numbers, used to version Debian binary and source
+ packages, have a defined format, including specifications for how
+ versions should be compared in order to sort them.  This package
+ implements a "debversion" type to represent Debian version numbers
+ within the PostgreSQL database.  This also includes operators for
+ version comparison and index operator classes for creating indexes on
+ the debversion type.
+ .
+ Version comparison uses the algorithm used by the Debian package
+ manager, dpkg, using the implementation from libapt-pkg.  This means
+ that columns in tables using the debversion type may be sorted and
+ compared correctly using the same logic as "dpkg --compare-versions".
+ It is also possible to create indexes on these columns.
+ .
+ postgresql-debversion implements the following features:
+ .
+  * The "debversion" type (internally derived from the "text" type)
+  * A full set of operators for version comparison (< <= = <> >= >)
+    including commutator and negator optimisation hints
+  * Operator classes for btree and hash indexes
+  * The aggregate functions min() and max()
+
+Package: postgresql-13-debversion
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-13
+Description: Debian version number type for PostgreSQL
+ Debian version numbers, used to version Debian binary and source
+ packages, have a defined format, including specifications for how
+ versions should be compared in order to sort them.  This package
+ implements a "debversion" type to represent Debian version numbers
+ within the PostgreSQL database.  This also includes operators for
+ version comparison and index operator classes for creating indexes on
+ the debversion type.
+ .
+ Version comparison uses the algorithm used by the Debian package
+ manager, dpkg, using the implementation from libapt-pkg.  This means
+ that columns in tables using the debversion type may be sorted and
+ compared correctly using the same logic as "dpkg --compare-versions".
+ It is also possible to create indexes on these columns.
+ .
+ postgresql-debversion implements the following features:
+ .
+  * The "debversion" type (internally derived from the "text" type)
+  * A full set of operators for version comparison (< <= = <> >= >)
+    including commutator and negator optimisation hints
+  * Operator classes for btree and hash indexes
+  * The aggregate functions min() and max()
+
+Package: postgresql-14-debversion
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-14
+Description: Debian version number type for PostgreSQL
+ Debian version numbers, used to version Debian binary and source
+ packages, have a defined format, including specifications for how
+ versions should be compared in order to sort them.  This package
+ implements a "debversion" type to represent Debian version numbers
+ within the PostgreSQL database.  This also includes operators for
+ version comparison and index operator classes for creating indexes on
+ the debversion type.
+ .
+ Version comparison uses the algorithm used by the Debian package
+ manager, dpkg, using the implementation from libapt-pkg.  This means
+ that columns in tables using the debversion type may be sorted and
+ compared correctly using the same logic as "dpkg --compare-versions".
+ It is also possible to create indexes on these columns.
+ .
+ postgresql-debversion implements the following features:
+ .
+  * The "debversion" type (internally derived from the "text" type)
+  * A full set of operators for version comparison (< <= = <> >= >)
+    including commutator and negator optimisation hints
+  * Operator classes for btree and hash indexes
+  * The aggregate functions min() and max()

## postgresql-debversion 1.1.1~20220627.1654-5~1.gitae0d00c.pgdg20.04+1

=== debian/changelog ===
postgresql-debversion (1.1.1~20220627.1654-5~1.gitae0d00c.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 20 Oct 2021 14:15:20 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Michael Banck <mbanck@debian.org>, Christoph Berg <myon@debian.org>
-Build-Depends: debhelper (>= 11), libapt-pkg-dev, postgresql-all (>= 217~)
+Build-Depends: debhelper (>= 12), libapt-pkg-dev, postgresql-all (>= 217~)
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-debversion

## postgresql-debversion 1.1.1~20220627.1654-5~1.gitae0d00c.pgdg21.10+1

=== debian/changelog ===
postgresql-debversion (1.1.1~20220627.1654-5~1.gitae0d00c.pgdg21.10+1) impish-pgdg; urgency=medium

  * Rebuild for impish-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 20 Oct 2021 14:15:20 +0200

## postgresql-debversion 1.1.1~20220627.1654-5~1.gitae0d00c.pgdg100+1

=== debian/changelog ===
postgresql-debversion (1.1.1~20220627.1654-5~1.gitae0d00c.pgdg100+1) buster-pgdg; urgency=medium

  * Rebuild for buster-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 20 Oct 2021 14:15:20 +0200

## postgresql-debversion 1.1.1~20220627.1654-5~1.gitae0d00c.pgdg110+1

=== debian/changelog ===
postgresql-debversion (1.1.1~20220627.1654-5~1.gitae0d00c.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 20 Oct 2021 14:15:20 +0200

## postgresql-debversion 1.1.1~20220627.1654-5~1.gitae0d00c.pgdg120+1

=== debian/changelog ===
postgresql-debversion (1.1.1~20220627.1654-5~1.gitae0d00c.pgdg120+1) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 20 Oct 2021 14:15:20 +0200

## postgresql-debversion 1.1.1~20220627.1654-5~1.gitae0d00c.pgdg+1

=== debian/changelog ===
postgresql-debversion (1.1.1~20220627.1654-5~1.gitae0d00c.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 20 Oct 2021 14:15:20 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Michael Banck <mbanck@debian.org>, Christoph Berg <myon@debian.org>
-Build-Depends: debhelper (>= 12), libapt-pkg-dev, postgresql-all (>= 217~)
+Build-Depends: debhelper-compat (= 13), libapt-pkg-dev, postgresql-all (>= 217~)
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-debversion

## postgresql-debversion 1.1.1

=== Makefile ===
MODULE_big = debversion
EXTENSION = debversion
OBJS = debversion.o
DATA = \
	debversion--unpackaged--1.0.5.sql	\
	debversion--1.0.5--1.0.6.sql		\
	debversion--1.0.6--1.0.7.sql		\
	debversion--1.0.7--1.0.8.sql		\
	debversion--1.0.8--1.1.sql		\
	debversion--1.1.sql
REGRESS = debversion

PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

CXXFLAGS += -fPIC # needed for 9.x-10
LDFLAGS += -lapt-pkg

=== debian/changelog ===
postgresql-debversion (1.1.1-5.pgdg120+1) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 20 Oct 2021 14:15:20 +0200

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,32 @@
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-debversion
 Vcs-Git: https://salsa.debian.org/postgresql/postgresql-debversion.git
+
+Package: postgresql-9.6-debversion
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-9.6
+Description: Debian version number type for PostgreSQL
+ Debian version numbers, used to version Debian binary and source
+ packages, have a defined format, including specifications for how
+ versions should be compared in order to sort them.  This package
+ implements a "debversion" type to represent Debian version numbers
+ within the PostgreSQL database.  This also includes operators for
+ version comparison and index operator classes for creating indexes on
+ the debversion type.
+ .
+ Version comparison uses the algorithm used by the Debian package
+ manager, dpkg, using the implementation from libapt-pkg.  This means
+ that columns in tables using the debversion type may be sorted and
+ compared correctly using the same logic as "dpkg --compare-versions".
+ It is also possible to create indexes on these columns.
+ .
+ postgresql-debversion implements the following features:
+ .
+  * The "debversion" type (internally derived from the "text" type)
+  * A full set of operators for version comparison (< <= = <> >= >)
+    including commutator and negator optimisation hints
+  * Operator classes for btree and hash indexes
+  * The aggregate functions min() and max()
 
 Package: postgresql-10-debversion
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with pgxs

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_installdocs:
	dh_installdocs --all README.md

## postgresql-debversion 1.1.2

=== debian/changelog ===
postgresql-debversion (1.1.2-3build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:14:53 +1100

postgresql-debversion (1.1.2-3build1) noble; urgency=medium

  * No-change rebuild against libapt-pkg6.0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 28 Feb 2024 19:22:19 +0000

postgresql-debversion (1.1.2-3) unstable; urgency=medium

  * Avoid FTBFS when using the PG header files with C++17.

 -- Christoph Berg <myon@debian.org>  Sat, 10 Feb 2024 19:29:53 +0100

postgresql-debversion (1.1.2-2) unstable; urgency=medium

  * Upload for PostgreSQL 16.
  * Use ${postgresql:Depends}.

 -- Christoph Berg <myon@debian.org>  Mon, 18 Sep 2023 21:22:02 +0200

postgresql-debversion (1.1.2-1) unstable; urgency=medium

  * Upload for PostgreSQL 15.

 -- Christoph Berg <myon@debian.org>  Mon, 24 Oct 2022 15:41:11 +0200

=== debian/control ===
Source: postgresql-debversion
Section: database
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>, Christoph Berg <myon@debian.org>
Build-Depends: debhelper-compat (= 13), libapt-pkg-dev, postgresql-all (>= 217~)
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://salsa.debian.org/postgresql/postgresql-debversion
Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-debversion
Vcs-Git: https://salsa.debian.org/postgresql/postgresql-debversion.git

Package: postgresql-16-debversion
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${postgresql:Depends}
Description: Debian version number type for PostgreSQL
 Debian version numbers, used to version Debian binary and source
 packages, have a defined format, including specifications for how
 versions should be compared in order to sort them.  This package
 implements a "debversion" type to represent Debian version numbers
 within the PostgreSQL database.  This also includes operators for
 version comparison and index operator classes for creating indexes on
 the debversion type.
 .
 Version comparison uses the algorithm used by the Debian package
 manager, dpkg, using the implementation from libapt-pkg.  This means
 that columns in tables using the debversion type may be sorted and
 compared correctly using the same logic as "dpkg --compare-versions".
 It is also possible to create indexes on these columns.
 .
 postgresql-debversion implements the following features:
 .
  * The "debversion" type (internally derived from the "text" type)
  * A full set of operators for version comparison (< <= = <> >= >)
    including commutator and negator optimisation hints
  * Operator classes for btree and hash indexes
  * The aggregate functions min() and max()

=== debian/watch ===
version=4
https://salsa.debian.org/postgresql/postgresql-debversion/tags .*/postgresql-debversion-v(.*).tar.bz2

## postgresql-debversion 1.2.0

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,8 @@
 	debversion--1.0.6--1.0.7.sql		\
 	debversion--1.0.7--1.0.8.sql		\
 	debversion--1.0.8--1.1.sql		\
-	debversion--1.1.sql
+	debversion--1.1--1.2.sql		\
+	debversion--1.2.sql
 REGRESS = debversion
 
 PG_CONFIG = pg_config

=== debian/changelog ===
postgresql-debversion (1.2.0-3) unstable; urgency=medium

  * Upload for PostgreSQL 18. (Closes: #1117320)
  * Add ${postgresql:Breaks}.
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.

 -- Christoph Berg <myon@debian.org>  Wed, 08 Oct 2025 19:28:29 +0200

postgresql-debversion (1.2.0-2) unstable; urgency=medium

  * Restrict to PG12+, bytecode compilation fails on PG11 with LLVM-15.

 -- Christoph Berg <myon@debian.org>  Fri, 14 Feb 2025 12:34:36 +0100

postgresql-debversion (1.2.0-1) unstable; urgency=medium

  * Fix negator of >.
  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.
  * Mark postgresql-all as <!nocheck>.

 -- Christoph Berg <myon@debian.org>  Thu, 12 Sep 2024 16:43:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,29 @@
 Source: postgresql-debversion
 Section: database
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
-Uploaders: Michael Banck <mbanck@debian.org>, Christoph Berg <myon@debian.org>
-Build-Depends: debhelper-compat (= 13), libapt-pkg-dev, postgresql-all (>= 217~)
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
+Uploaders:
+ Michael Banck <mbanck@debian.org>,
+ Christoph Berg <myon@debian.org>,
+Build-Depends:
+ debhelper-compat (= 13),
+ architecture-is-64-bit <!pkg.postgresql.32-bit>,
+ libapt-pkg-dev,
+ postgresql-all <!nocheck>,
+ postgresql-server-dev-all,
+Standards-Version: 4.7.2
 Homepage: https://salsa.debian.org/postgresql/postgresql-debversion
 Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-debversion
 Vcs-Git: https://salsa.debian.org/postgresql/postgresql-debversion.git
 
-Package: postgresql-16-debversion
+Package: postgresql-18-debversion
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${postgresql:Depends}
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
 Description: Debian version number type for PostgreSQL
  Debian version numbers, used to version Debian binary and source
  packages, have a defined format, including specifications for how

=== debian/watch ===
version=4
opts=searchmode=plain \
https://salsa.debian.org/postgresql/postgresql-debversion/tags postgresql-debversion-v([\w\d.]*).tar.bz2
